GET Script/{uniqueIdentifier}
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/Script/{uniqueIdentifier}
Get information about a script from a unique identifier
Online Restricted: ## The CRMScript agent is not available in Online by default. Access must be requested specifically when app is registered.
| Path Part | Type | Description |
|---|---|---|
| uniqueIdentifier | string | Global unique reference to script (independent of installation) Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: Script
| Property Name | Type | Description |
|---|---|---|
| UniqueIdentifier | string | Global unique identifier, accross customers/tenants |
| Name | string | A description of this script |
| Description | string | Optional description of what this script is used for. |
| IncludeId | string | A unique name used for including this script in another |
| Source | string | The script |
| Registered | date-time | Registered when in UTC. |
| RegisteredBy | string | Who created this script |
| Updated | date-time | Last updated when in UTC. |
| UpdatedBy | string | Who updated this script |
| Path | string | Path to script in the hierarchy. |
| BlockedVerbs | string | The verbs that are blocked when calling a ejscript over HTTP |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/Script/{uniqueIdentifier}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"UniqueIdentifier": "natus",
"Name": "Jerde, Barrows and Mills",
"Description": "Custom validation logic",
"IncludeId": "voluptatibus",
"Source": "consequuntur",
"Registered": "2004-05-04T14:34:02.8482798+02:00",
"RegisteredBy": "debitis",
"Updated": "2019-08-27T14:34:02.8482798+02:00",
"UpdatedBy": "at",
"Path": "eius",
"BlockedVerbs": "BlockAll",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 548
}
}
}